/// <reference types="react" />
import 'react-toastify/dist/ReactToastify.css';
export interface ISuccessMessage {
    title: string;
    message: string;
}
export interface IWarningMessage {
    title: string;
    message: string;
}
export interface IErrorMessage {
    title: string;
    message: string;
    error: any;
}
export declare function renderToastContainer(): JSX.Element;
export declare function successToast(msg: ISuccessMessage): void;
export declare function warningToast(msg: IWarningMessage): void;
export declare function errorToast(msg: IErrorMessage): void;
