import * as React from 'react';
import { IGroup } from 'office-ui-fabric-react/lib/components/GroupedList/index';
import { ISearchBoxProps } from './SearchBox.types';
import './SearchBox.css';
export interface ISearchBoxState {
    isSearchCalloutVisible: boolean;
    items: any[];
    groups: IGroup[];
    input?: string;
}
export declare class SearchBoxBase extends React.PureComponent<ISearchBoxProps, ISearchBoxState> {
    private _searchElement;
    private _selection;
    constructor(props: any);
    static getDerivedStateFromProps(props: ISearchBoxProps, state: ISearchBoxState): {
        groups: any[];
        items: any[];
    };
    private onFocus;
    private onBlur;
    private onSearch;
    private _onSearchCalloutDismiss;
    private onItemClick;
    private onRenderRow;
    private _onRenderCell;
    render(): JSX.Element;
}
export default SearchBoxBase;
