import { styled } from 'office-ui-fabric-react/lib/Utilities';
import { DrawerGroupsBase } from './DrawerGroups.base';
import { IDrawerGroupsProps, IDrawerGroupsStyleProps, IDrawerGroupsStyles } from './DrawerGroups.types';
import { getStyles } from './DrawerGroups.styles';

export const DrawerGroups: React.StatelessComponent<IDrawerGroupsProps> = styled<
  IDrawerGroupsProps,
  IDrawerGroupsStyleProps,
  IDrawerGroupsStyles
>(DrawerGroupsBase, getStyles);
