import { ITheme, IStyle } from 'office-ui-fabric-react/lib/Styling';

import { IStyleFunctionOrObject } from 'office-ui-fabric-react/lib/Utilities';

export interface IDrawerGroupsProps {
  id?: number;
  baseUrl: string;
  title: string;
  styles?: IStyleFunctionOrObject<IDrawerGroupsStyleProps, IDrawerGroupsStyles>;
  theme?: ITheme;
  className?: string;
  labelCmdBarBtnSave?: string;
  labelCmdBarBtnEdit?: string;
  labelCmdBarBtnCancel?: string;
  labelValidationMessage?: string;  
  labelDrawerGroupsValidationMessage?:string;
  labelFormName?:string;
  labelFormSite?:string;
  labelFormSitePlaceholder?:string;
  labelFormDescription?:string;
  labelFormMovableAvailable?:string;
  labelFormMovableSelected?:string;
  labelFormMovableProperty?:string;
  onCancel: () => any;
  onSubmitSuccess: (response: any) => void;
  onSubmitError: (error: any) => void;  
}

export interface IDrawerGroupsStyleProps {
  theme: ITheme;
  className?: string;
}

export interface IDrawerGroupsStyles {
  root?: IStyle;
}
