import { styled } from 'office-ui-fabric-react/lib/Utilities';
import { ListBase } from './List.base';
import { IListProps, IListStyleProps, IListStyles } from './List.types';
import { getStyles } from './List.styles';

export const List: React.StatelessComponent<IListProps> = styled<IListProps, IListStyleProps, IListStyles>(ListBase, getStyles);
