import { styled } from 'office-ui-fabric-react/lib/Utilities';
import { MenusAdminFormBase } from './MenusAdminForm.base';
import { IMenusAdminFormProps, IMenusAdminFormStyleProps, IMenusAdminFormStyles } from './MenusAdminForm.types';
import { getStyles } from './MenusAdminForm.styles';

export const MenusAdminForm: React.StatelessComponent<IMenusAdminFormProps> = styled<
  IMenusAdminFormProps,
  IMenusAdminFormStyleProps,
  IMenusAdminFormStyles
>(MenusAdminFormBase, getStyles);
