import { ITheme, IStyle } from 'office-ui-fabric-react/lib/Styling';

import { IStyleFunctionOrObject } from 'office-ui-fabric-react/lib/Utilities';

export interface IMovableOptionsListProps {
  title?: string;
  availableLabel?: string;
  selectedLabel?: string;
  property?: string;
  elements: IMovableOptionsListElement[];
  height: string;
  disableUpAndDown?: boolean;
  styles?: IStyleFunctionOrObject<IMovableOptionsListStyleProps, IMovableOptionsListStyles>;
  theme?: ITheme;
  className?: string;
  handleSwapChange?: (elements: IMovableOptionsListElement[]) => void;
  handleMoveUpAndDownChange?: (elements: IMovableOptionsListElement[]) => void;
}

export interface IMovableOptionsListStyleProps {
  theme: ITheme;
  className?: string;
}

export interface IMovableOptionsListStyles {
  root?: IStyle;
}

export interface IMovableOptionsListElement {
  key: any;
  text: any;
  selected: boolean;
  icon?: string;
}
