import { ITemplateFormStyleProps, ITemplateFormStyles, RenderType } from './TemplateForm.types';

export function getStyles(props: ITemplateFormStyleProps): ITemplateFormStyles {
  const { theme, className } = props;
  const {} = theme;

  return {
    root: ['enChoiceTemplate', {}, className],
    title: [
      'enChoiceTemplateTitle',
      {
        padding: 0,
        marginRight: '0px !important',
        marginLeft: '0px !important'
      }
    ],
    commandBar: [
      'enChoiceTemplateCBar',
      {
        padding: 0,
        marginRight: '0px !important',
        marginLeft: '0px !important'
      }
    ],
    form: [
      'enChoiceTemplateForm',
      {
        /* styles */
      },

      props.renderType === undefined || props.renderType === RenderType.COMMANDBAR
        ? {
            padding: '0 20px'
          }
        : {
            padding: '0'
          }
    ]
  };
}
