import * as React from 'react';
import { IQuickButtonFormProps } from './QuickButtonForm.types';
import './QuickButtonForm.css';
export interface IQuickButtonFormState {
    id?: number;
    name?: string;
    selectedTemplateKey?: number;
    icon?: string;
    templates: any[];
    error: any;
}
export declare class QuickButtonFormBase extends React.PureComponent<IQuickButtonFormProps, IQuickButtonFormState> {
    static defaultProps: {
        labelCmdBarBtnSave: string;
        labelCmdBarBtnEdit: string;
        labelCmdBarBtnCancel: string;
        labelFormTitleName: string;
        labelFormTitleTemplate: string;
        labelFormTitleIcon: string;
    };
    constructor(props: IQuickButtonFormProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: IQuickButtonFormProps): void;
    componentDidMountNew(): void;
    private init;
    private loadTemplates;
    componentDidMountEdit(): void;
    render(): JSX.Element;
    private getFormCommandBarItems;
    private logResult;
    private onSubmit;
}
