import { ITheme, IStyle } from 'office-ui-fabric-react/lib/Styling';
import { IStyleFunctionOrObject } from 'office-ui-fabric-react/lib/Utilities';
import { IconProp } from '@fortawesome/fontawesome-svg-core';
export interface IQuickButtonFormProps {
    url: string;
    id?: number;
    title?: string;
    labelCmdBarBtnSave?: string;
    labelCmdBarBtnEdit?: string;
    labelCmdBarBtnCancel?: string;
    labelFormTitleName?: string;
    labelFormTitleTemplate?: string;
    labelFormTitleIcon?: string;
    styles?: IStyleFunctionOrObject<IQuickButtonFormStyleProps, IQuickButtonFormStyles>;
    theme?: ITheme;
    className?: string;
    onSubmitSuccess: (response: any) => void;
    onSubmitError: (error: any) => void;
    onCancel: () => any;
}
export interface IQuickButtonFormStyleProps {
    theme: ITheme;
    className?: string;
}
export interface IQuickButtonFormStyles {
    root?: IStyle;
}
export interface IQuickButtonFormResult {
    id?: number;
    name: string;
    template: string | number;
    icon: string;
}
export declare function getFAIcon(name?: string): IconProp;
