import * as React from 'react';
import './TemplateForm.css';
import { ITemplateFormProps, RenderType } from './TemplateForm.types';
export interface ITemplateFormState {
    id: number;
    name: string;
    properties: any[];
    hideExternalSurface: boolean;
    error: any;
}
export declare class TemplateFormBase extends React.PureComponent<ITemplateFormProps, ITemplateFormState> {
    static defaultProps: {
        renderType: RenderType;
        labelCmdBarSearch: string;
        labelCmdBarCancel: string;
    };
    private result;
    constructor(props: ITemplateFormProps);
    componentDidMount(): void;
    private renderForm;
    render(): JSX.Element;
    private closeExternalSurface;
    private getSafeValue;
    private getSafeDateValue;
    private getSafeTextToDate;
    private setSingleValue;
    private handleTextInput;
    private handleDateInput;
    private onChangeOperation;
    private onChangeValues;
    private onChangeValuesPickup;
    private getRowFromId;
    private getCommandBarItems;
    private resetResultValues;
    private getOperationsValue;
    private getValues;
    private onCancel;
    private onSubmit;
}
