import { styled } from 'office-ui-fabric-react/lib/Utilities';
import { MovableOptionsListBase } from './MovableOptionsList.base';
import { IMovableOptionsListProps, IMovableOptionsListStyleProps, IMovableOptionsListStyles } from './MovableOptionsList.types';
import { getStyles } from './MovableOptionsList.styles';

export const MovableOptionsList: React.StatelessComponent<IMovableOptionsListProps> = styled<
  IMovableOptionsListProps,
  IMovableOptionsListStyleProps,
  IMovableOptionsListStyles
>(MovableOptionsListBase, getStyles);
