import { styled } from 'office-ui-fabric-react/lib/Utilities';
import { QuickButtonFormBase } from './QuickButtonForm.base';
import { IQuickButtonFormProps, IQuickButtonFormStyleProps, IQuickButtonFormStyles } from './QuickButtonForm.types';
import { getStyles } from './QuickButtonForm.styles';

export const QuickButtonForm: React.StatelessComponent<IQuickButtonFormProps> = styled<
  IQuickButtonFormProps,
  IQuickButtonFormStyleProps,
  IQuickButtonFormStyles
>(QuickButtonFormBase, getStyles);
