import { styled } from 'office-ui-fabric-react/lib/Utilities';
import { TemplateAdminFormBase } from './TemplateAdminForm.base';
import { ITemplateAdminFormProps, ITemplateAdminFormStyleProps, ITemplateAdminFormStyles } from './TemplateAdminForm.types';
import { getStyles } from './TemplateAdminForm.styles';

export const TemplateAdminForm: React.StatelessComponent<ITemplateAdminFormProps> = styled<
  ITemplateAdminFormProps,
  ITemplateAdminFormStyleProps,
  ITemplateAdminFormStyles
>(TemplateAdminFormBase, getStyles);
