import { styled } from 'office-ui-fabric-react/lib/Utilities';
import { TemplateFormBase } from './TemplateForm.base';
import { ITemplateFormProps, ITemplateFormStyleProps, ITemplateFormStyles } from './TemplateForm.types';
import { getStyles } from './TemplateForm.styles';

export const TemplateForm: React.StatelessComponent<ITemplateFormProps> = styled<
  ITemplateFormProps,
  ITemplateFormStyleProps,
  ITemplateFormStyles
>(TemplateFormBase, getStyles);
